Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface Authenticator

All Known Implementing Classes:
  AbstractAuthenticator

public interface Authenticator

Method Summary
`java.security.Principal` | `authenticate(HttpServletRequest request, java.lang.String user, java.lang.String password)`
`java.security.Principal` | `authenticate(java.lang.String user, java.lang.String password)`
`java.security.Principal` | `authenticateCookie(HttpServletRequest request, java.lang.String cookieValue)`
`java.security.Principal` | `authenticateCookie(java.lang.String cookieValue)`
`void` | `init(CauchoApplication app, RegistryNode registry)`
`boolean` | `isUserInRole(HttpServletRequest request, java.security.Principal user, java.lang.String role)`
`boolean` | `isUserInRole(java.security.Principal user, java.lang.String role)`
`boolean` | `updateCookie(HttpServletRequest request, java.security.Principal user, java.lang.String cookieValue)`
`boolean` | `updateCookie(java.security.Principal user, java.lang.String cookieValue)`

Method Detail

### init

    public void init(CauchoApplication app,
                     RegistryNode registry)
              throws ServletException

### authenticate

    public java.security.Principal authenticate(HttpServletRequest request,
                                                java.lang.String user,
                                                java.lang.String password)

### authenticateCookie

    public java.security.Principal authenticateCookie(HttpServletRequest request,
                                                      java.lang.String cookieValue)

### updateCookie

    public boolean updateCookie(HttpServletRequest request,
                                java.security.Principal user,
                                java.lang.String cookieValue)

### isUserInRole

    public boolean isUserInRole(HttpServletRequest request,
                                java.security.Principal user,
                                java.lang.String role)

### authenticate

    public java.security.Principal authenticate(java.lang.String user,
                                                java.lang.String password)

### authenticateCookie

    public java.security.Principal authenticateCookie(java.lang.String cookieValue)

### updateCookie

    public boolean updateCookie(java.security.Principal user,
                                java.lang.String cookieValue)

### isUserInRole

    public boolean isUserInRole(java.security.Principal user,
                                java.lang.String role)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD